Loading...
Searching...
No Matches
L4::Invalid_capability Class Reference
L4Re C++ Interface » C++ Exceptions

Indicates that an invalid object was invoked. More...

`#include <l4/cxx/exceptions>`

Inheritance diagram for L4::Invalid_capability:
Collaboration diagram for L4::Invalid_capability:

## Public Member Functions

| Invalid_capability (Cap< void > const &o) noexcept
| Create an Invalid_object exception for the Object o.
char const * | str () const noexcept override
| Return a human readable string for the exception.
Cap< void > const & | cap () const noexcept
| Get the object that caused the error.
Public Member Functions inherited from L4::Base_exception
virtual | ~Base_exception () noexcept
| Destruction.
Public Member Functions inherited from L4::Exception_tracer
void const *const * | pc_array () const noexcept
| Get the array containing the call trace.
int | frame_count () const noexcept
| Get the number of entries that are valid in the call trace.

## Additional Inherited Members

Protected Member Functions inherited from L4::Base_exception
| Base_exception () noexcept
| Create a base exception.
Protected Member Functions inherited from L4::Exception_tracer
| Exception_tracer () noexcept
| Create a back trace.

## Detailed Description

Indicates that an invalid object was invoked.

An Object is invalid if it has L4_INVALID_ID as server L4 UID, or if the server does not know the object ID.

Definition at line 234 of file exceptions.

## Constructor & Destructor Documentation

## Invalid_capability()

L4::Invalid_capability::Invalid_capability | ( | Cap< void > const & | o | ) |

inlineexplicitnoexcept

Create an Invalid_object exception for the Object o.

Parameters

  o | The object that caused the server side error.

Definition at line 244 of file exceptions.

## Member Function Documentation

## cap()

Cap< void > const & L4::Invalid_capability::cap | ( |  | ) | const

inlinenoexcept

Get the object that caused the error.

Returns
  The object that caused the error on invocation.

Definition at line 253 of file exceptions.

The documentation for this class was generated from the following file:

- l4/cxx/exceptions